Bug 592223 - Review Request: BuildNotify - Cruise Control build monitor for GNU/Linux
Summary: Review Request: BuildNotify - Cruise Control build monitor for GNU/Linux
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-05-14 09:51 UTC by Balaji Damodaran
Modified: 2010-11-19 17:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 17:14:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Balaji Damodaran 2010-05-14 09:51:47 UTC
Spec URL: http://github.com/openbala/buildnotify-rpm/blob/master/buildnotify.spec
SRPM URL: http://github.com/openbala/buildnotify-rpm/blob/master/buildnotify-0.1-1.fc12.src.rpm
Description: BuildNotify is a cruise control system tray monitor which works on GNU/Linux and other operating systems. It was largely inspired from CCMenu and lets you monitor multiple continuous integration servers with customizable build notifications for all projects. It is developed with python and PyQt4. This is my first package and I'll need a sponsor.

Comment 1 Rahul Sundaram 2010-05-14 11:00:08 UTC
Since you are looking for a sponsor,  refer to

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 2 Balaji Damodaran 2010-05-14 12:28:33 UTC
(In reply to comment #0)
> Spec URL:
> http://github.com/openbala/buildnotify-rpm/blob/master/buildnotify.spec
> SRPM URL:
> http://github.com/openbala/buildnotify-rpm/blob/master/buildnotify-0.1-1.fc12.src.rpm
> Description: BuildNotify is a cruise control system tray monitor which works on
> GNU/Linux and other operating systems. It was largely inspired from CCMenu and
> lets you monitor multiple continuous integration servers with customizable
> build notifications for all projects. It is developed with python and PyQt4.
> This is my first package and I'll need a sponsor.    

Please make sure to take the srpm file from this location (and not from the previous url):

SRPM URL: http://github.com/openbala/buildnotify-rpm/blob/master/buildnotify-0.2-5.fc12.src.rpm

I had to correct the version of the package in accordance with the upstream.

Comment 3 Mohammed Imran 2010-05-15 10:21:30 UTC
just a quick note,

- changelog missing
- Version should be 0.2.5
- release version is 5 ? should it be 2 ?
- http://bitbucket.org/Anay/buildnotify/get/buildnotify.tar.gz - NOT FOUND
- Let rpm handle Requires,so need to specify them explicitly
- %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif -- put this at the top of the SPEC file.

Comment 4 Balaji Damodaran 2010-05-15 11:05:49 UTC
(In reply to comment #3)
> just a quick note,
> 
> - changelog missing
> - Version should be 0.2.5
> - release version is 5 ? should it be 2 ?
> - http://bitbucket.org/Anay/buildnotify/get/buildnotify.tar.gz - NOT FOUND
> - Let rpm handle Requires,so need to specify them explicitly
> - %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
> %endif -- put this at the top of the SPEC file.    

incorporated the suggested changes. Please find the modified files in the following location:

Spec URL:
http://github.com/openbala/buildnotify-rpm/blob/master/buildnotify.spec

SRPM URL:
http://github.com/openbala/buildnotify-rpm/blob/master/buildnotify-0.2.5-1.fc12.src.rpm

Comment 5 Balaji Damodaran 2010-05-15 12:56:40 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > just a quick note,
> > 
> > - changelog missing
> > - Version should be 0.2.5
> > - release version is 5 ? should it be 2 ?
> > - http://bitbucket.org/Anay/buildnotify/get/buildnotify.tar.gz - NOT FOUND
> > - Let rpm handle Requires,so need to specify them explicitly
> > - %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
> > %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> > distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> > %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from
> > distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
> > %endif -- put this at the top of the SPEC file.    
> 
> incorporated the suggested changes. Please find the modified files in the
> following location:
> 
> Spec URL:
> http://github.com/openbala/buildnotify-rpm/blob/master/buildnotify.spec
> 
> SRPM URL:
> http://github.com/openbala/buildnotify-rpm/blob/master/buildnotify-0.2.5-1.fc12.src.rpm    

Modified the file naming convention in alignment with upstream. 

Spec URL:
http://github.com/openbala/buildnotify-rpm/blob/master/BuildNotify.spec

SRPM URL:
http://github.com/openbala/buildnotify-rpm/blob/master/BuildNotify-0.2.5-1.fc12.src.rpm

Please review these files. Thanks.

Comment 6 Parag AN(पराग) 2010-05-20 04:15:54 UTC
Welcome to Fedora Project and Thanks for submitting this package.

You first need to install fedora-packager rpm on your Fedora system.
New contributors need to show that they have an understanding      
of http://fedoraproject.org/wiki/Package_Review_Process and of the Fedora
packaging guidelines.
See http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Sponsorship can be obtained either by 
Submitting few more packages that follows Fedora packaging guidelines.
AND/OR
Doing an un-official(informal) package reviews for other people's package
submission.
(Note: you can not do official package reviews and approve others packages in
Fedora till you get sponsored)

So, start reviewing packages and post the review bug number here. 
This will show that you are doing some review work
and people who can check your review and sponsor you accordingly.

References that you can use for this process are
http://fedoraproject.org/wiki/PackageNamingGuidelines
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
http://fedoraproject.org/wiki/Licensing
http://fedoraproject.org/wiki/PackagingGuidelines
http://fedoraproject.org/wiki/Category:Packaging_guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Use above links for reviewing others packages. Also, Good if you will review in
detail.
Make sure you are checking scratch build is successful and rpmlint output in
review.

For scratch build on koji use command
koji build --scratch dist-f14 <SRPM_file>

Find new packages from http://fedoraproject.org/PackageReviewStatus/NEW.html

Comment 7 Parag AN(पराग) 2010-06-18 03:24:07 UTC
ping
any updates here?

Comment 8 Jason Tibbitts 2010-11-19 17:14:20 UTC
No response in many months; closing.


Note You need to log in before you can comment on or make changes to this bug.